import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Injectable({
    providedIn: 'root'
})
export class HttpService {

    constructor(private http: HttpClient) { }
    url = 'http://8.142.171.141:8080/school-news';
    // 获取新闻接口
    getNews(data) {
        return this.http.get(this.url+'/news/pageList', { params: data });
    }
    // 获取视频接口
    getVideo(data) {
        return this.http.get(this.url+'/video/pageList', { params: data });
    }
    // 注册接口
    registerUser(data) {
        return this.http.post(this.url+'/user/register', data );
    }
    // 登录接口
    login(data) {
        return this.http.post(this.url+'/user/login', data );
    }
    // 上传头像接口
    uploadAvatar(data){
        return this.http.post(this.url+'/user/uploadAvatar', data );
    }
    // 修改个人信息接口
    changeUser(data){
        return this.http.post(this.url+'/user/edit', data );
    }
    // 发布投稿接口
    // {draftTitle}
    createDraft(data){
        return this.http.post(this.url+'/draft/create', data );
    }
    // 获取投稿列表接口
    // draft/pageList?page=1&size=10&draftTitle=
    getDraft(data){
        return this.http.get(this.url+'/draft/pageList', {params:data} );
    }
    // 发布评论接口
    createComment(data){
        return this.http.post(this.url+'/comment/publish', data );
    }
   

}
