import { Component, OnInit } from '@angular/core';
import { HttpService } from '../service/http.service';
import { DomSanitizer, SafeResourceUrl} from '@angular/platform-browser';


@Component({
    selector: 'app-tab2',
    templateUrl: 'tab2.page.html',
    styleUrls: ['tab2.page.scss']
})
export class Tab2Page {
    constructor(private http: HttpService, private san:DomSanitizer) { }
    video = []
    params = { videoTitle: "", page: 1 }
    inputModel=''
    onInput(e){
        this.inputModel = e.target.value;
        this.params = { videoTitle: this.inputModel, page: 1 }
        this.video = [];
        this.getVideo();
    }
    ngOnInit() {
        this.getVideo();
    }
    getVideo() {
        this.http.getVideo(this.params)
            .subscribe((res: { data: { content:Array<{videoPath:SafeResourceUrl}> } }) => {
                let data:Array<{videoPath:SafeResourceUrl}> = res.data.content;
                data = data.map((i:{videoPath:string})=>({...i,videoPath:this.san.bypassSecurityTrustResourceUrl(i.videoPath)}))
                this.video = [...this.video,...data];
            })
    }
   
    handleRefresh(event) {
        this.params = { ...this.params,  page: 1 }
        this.video = [];
        this.getVideo();
        setTimeout(() => {
          event.target.complete();
        }, 1000);
      };
    onIonInfinite(e) {
        this.params.page++;
        this.getVideo();
        setTimeout(()=>{
            e.target.complete();
        },300)
    }
}
